View Issue Details

IDProjectCategoryView StatusLast Update
0033278LazarusPackagespublic2018-03-08 12:44
ReporterStephanoAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version1.9 (SVN) 
Summary0033278: FPReport designer: Font properties are not applied correctly
Description1- All changes of a memo's font properties by clicking on the ellipsis (...) are
lost once the dialog is exited.
However the Color, font, and size properties (each a separate line in the OI are preserved.

2- UseParentFont is not respected as the font properties can be changed irrespective

3- Changing the font of a band or the page will affect the band name on top of the that band

4- Underline and strikeout are not there
TagsNo tags attached.
Fixed in Revision57462.
LazTarget-
Widgetset
Attached Files

Relationships

related to 0033329 closedMichael Van Canneyt Lazarus FPReport designer: Frame color isn't initialized correctly 
related to 0033336 closedMichael Van Canneyt FPC FPReport designer: Changing a memo's color, font, or fontsize affect all report elements 

Activities

Stephano

2018-02-28 16:47

developer   ~0106765

Changing the color of a single memo affects all of the report components

Michael Van Canneyt

2018-03-08 09:59

administrator   ~0106983

1 and 2 are fixed.

For 3 and 4, please file separate bugs.

Issue History

Date Modified Username Field Change
2018-02-28 15:51 Stephano New Issue
2018-02-28 15:55 Michael Van Canneyt Assigned To => Michael Van Canneyt
2018-02-28 15:55 Michael Van Canneyt Status new => assigned
2018-02-28 16:47 Stephano Note Added: 0106765
2018-03-06 09:27 Stephano Relationship added related to 0033336
2018-03-06 09:33 Stephano Relationship added related to 0033329
2018-03-08 09:59 Michael Van Canneyt Fixed in Revision => 57462.
2018-03-08 09:59 Michael Van Canneyt Note Added: 0106983
2018-03-08 09:59 Michael Van Canneyt Status assigned => resolved
2018-03-08 09:59 Michael Van Canneyt Fixed in Version => 1.9 (SVN)
2018-03-08 09:59 Michael Van Canneyt Resolution open => fixed
2018-03-08 12:44 Stephano Status resolved => closed